BTRFSCK(8)

NAME
btrfsck - check and repair of a Btrfs filesystem

SYNOPSIS
btrfsck [options] <device>

DESCRIPTION
btrfsck is used to check and optionally repair of a Btrfs filesystem. Now, it can only be run on an unmounted FS. Considering it is not well-tested in real-life situations yet. if you have a broken Btrfs filesystem, btrfsck may not repair but cause aditional damages. <device> is the device file where the filesystem is stored. Options

-s,--super <superblock>
    specify which superblock copy that you want to use.

--repair
    try to repair the filesystem.

--init-csum-tree
    create a new CRC tree.

--init-extent-tree
    create a new extent tree.

EXIT CODE
btrfsck will return 0 exit code if no error happened. Other exit code means some problems happened.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
mkfs.btrfs(8), btrfs(8)